/*
 * data.h
 *
 * Some data.
 * 
 * Copyright (c) 1993 Bertil K Jonell 
 *
 */

static int svdm[15][4]={
	0,0,0,0,
	2,0,0,0,
	3,2,1,0,
	3,3,2,1,
	0,0,0,0,
	1,1,1,0,
	2,2,1,0,
	3,2,2,1,
	2,3,4,1,
	2,2,1,0,
	1,1,0,0,
	8,7,5,3,
	5,4,3,1,
	3,1,0,0,
	1,0,0,0
	};

static int dfdm[10][9]={
	0,0,0,0,0,0,0,0,0,
	5,5,5,5,4,2,2,1,1,
	5,5,5,5,2,1,1,0,0,
	5,5,5,4,2,1,1,0,0,
	5,5,5,3,2,1,1,0,0,
	3,3,3,2,1,0,0,0,0,
	5,5,5,4,2,1,1,0,0,
	3,3,3,2,1,0,0,0,0,
	2,2,2,1,0,0,0,0,0,
	5,5,5,3,2,1,1,0,0
	};

static int portdm[2][6]={
	0,1,2,3,4,5,
	-5,-4,-2,-1,0,0
	};

static int areadm[2][5]={
	0,0,0,1,3,
	0,0,0,1,2
	};

static int isol[2][18]={
	-1,-1, 0, 1, 1, 0,-2,-2,-2,-1, 0, 1, 2, 2, 2, 1, 0,-1,
	-1, 0, 1, 0,-1,-1,-1, 0, 1, 1, 2, 1, 1, 0,-1,-2,-2,-2
	};

static int sizeff[1][11]={
	 0,-2,-2,-2,-2,-1,-1,-1, 0, 0, 0
	 };

static int atmeff[6][16]={
	 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 2, 1, 1, 1,
	 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0,
	 2, 2, 3, 4, 5, 0, 0, 5, 0, 5, 2, 2, 1, 0, 0, 0,
	 0, 0, 0, 0,-2,-1, 0,-1, 0,-1, 0, 0, 0, 0, 0, 0
	};

static int hydeff[6][11]={
	 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1,
	 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1,
	 6, 7, 8, 0, 0, 0, 0, 0, 0, 0, 8,
	-2,-1,-1, 0, 0, 0, 0, 0, 0, 0,-1
	};

static int popeff[3][11]={
	 9, 9, 9,10,10, 0, 0, 0, 0, 0, 0,
	 4, 4, 4, 4, 4, 2, 1, 0, 0, 0, 0,
        -1,-1,-1, 0, 0, 0, 1, 1, 1, 2, 2
	};

static int popeff2[4][11]={
	-3,-3,-3,-2,-2,-2, 0, 0, 0, 1, 1,
	 0, 0, 0, 1, 1, 1, 2, 2, 2, 1, 1,
	 1, 1, 1, 2, 2, 2, 3, 3, 3, 1, 1,
	 1, 1, 1, 3, 3, 3, 5, 5, 5, 3, 3
	};

static int goveff[3][16]={
	 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	 1, 0, 1, 1, 0,-1,-1, 1, 0, 0, 0, 1, 1, 1, 1, 1,
	 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1,
	};

static int initgov[16]={
	 0, 7, 1, 8, 2, 6, 7, 3, 4, 5,10,11, 9,11,12,12
	};

static int thegov[17]={
	 0, 2, 4, 7, 8, 9, 5, 1, 3,12,10,11,14, 0, 6,13,15
	};

static int wildgov[13]={
	0,0,2,4,10,12,6,13,15,14,8,3,9};

static int tedgov[13]={
	0,0,5,3,6,11,11,15,15,14,13,10,12};

static int tleff[3][21]={
	11,11,11,11,11,12,12,13,13,14,14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0,-10,-8,-6,-4,-4,-2,-2, 0, 0, 1, 1, 3, 3, 5, 5, 7, 7, 9, 9, 9,
	 7, 7, 7, 7, 7, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
	};

static int grow[21]={
	 1, 2, 3, 4, 4, 3, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
	};

static float rate[6]={
	1.0,1.4,2.0,2.8,4.0,5.6
	};

static char *oldgov[16]={
	"No Government",
	"Company/Corporation",
	"Participatory Democracy",
	"Self-Perpetuating Oligarchy",
	"Representative Democracy",
	"Feudal Technocracy",
	"Captive Government/Colony",
	"Balkanization",
	"Civil Service Bureaucracy",
	"Impersonal Bureaucracy",
	"Charismatic Dictator",
	"Non-Charismatic Dictator",
	"Charismatic Oligarchy",
	"Religious Dictatorship",
	"Religious Autocracy",
	"Totalitarian Oligarchy"
	};

static char *newgov[17]={
	"No Government",
	"Participatory Democracy",
	"Representative Democracy",
	"Balkanization",
	"Civil Service Bureaucracy",
	"Impersonal Bureaucracy",
	"Feudal Technocracy",
	"Company/Corporation",
	"Self-Perpetuating Oligarchy",
	"Charismatic Oligarchy",
	"Charismatic Dictator",
	"Non-Charismatic Dictator",
	"Religious Autocracy",
	"Anarchy",
        "Martial Law",
	"Religious Dictatorship",
	"Totalitarian Oligarchy"
	};

static char *zone_types[3]={
	"",
	"/Amber",
	"/Red"
	};
