/*
 *
 * dgp2tml - Transforms DGP sector files into 
 * 'TML Version 2' as a intermediate step
 * in making maps out of them; from .sec to .dat
 *
 * Input through stdin, output through stdout.
 *
 * Copyright (c) 1993 Bertil K Jonell 
 *
 */

#include<stdio.h>
#include<strings.h>
#include<ctype.h>
#include"include.h"

main()
{
  char a[15];
  int b, c;
  char d, e, f, g, h, i, j, k, l;
  char m[16];
  char n;
  int o, p, q;
  char r[3];
  char s[17];
  int test;

  char line[81];
  printf("%s\n", "#Version: 2");
  while (fgets(line, sizeof(line), stdin) != NULL) {
    strcpy(s, "                ");
    test = sscanf(line,
  "%14c%2d%2d%*c%c%c%c%c%c%c%c-%c%*2c%c%*c%15c%*c%c%*2c%1d%1d%1d%*c%2c%*c%16c",
  a, &b, &c, &d, &e, &f, &g, &h, &i, &j, &k, &l, m, &n, &o, &p, &q, r, s);
    a[14] = (char)NULL;
    m[15] = (char)NULL;
    r[3] = (char)NULL;
    s[16] = (char)NULL;

    rem_trail_sp(a);
    rem_trail_sp(m);
    rem_trail_sp(r);
    rem_trail(s);

    if(test == 19) 
      printf( "%-18s %02d%02d %c%c%c%c%c%c%c-%c %c %-15s %d%d%d %2s %c\n",
       a, b, c, d, e, f, g, h, i, j, k, l, m, o, p, q, r, n);
  }
}

rem_trail_sp(s)
char *s;
{
    int i = strlen(s) - 1;

    while (i >= 0 && s[i] == ' ') {
        s[i--] = '\0';
    }
}

rem_trail(s)
char *s;
{
    int i = strlen(s) - 1;
    while (i >= 0 && (s[i] == ' ' || s[i] == '\n' || !isascii(s[i]))) {
      s[i--] = '\0';
    }
}

